<?php
/**
 * Fichier gérant l'installation et désinstallation du plugin Diplome
 *
 * @plugin     Diplome
 * @copyright  2013
 * @author     erational
 * @licence    GNU/GPL
 * @package    SPIP\Diplome\Installation
 */

if (!defined('_ECRIRE_INC_VERSION')) return;


/**
 * Fonction d'installation et de mise à jour du plugin Diplome.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @param string $version_cible
 *     Version du schéma de données dans ce plugin (déclaré dans paquet.xml)
 * @return void
**/
function diplome_upgrade($nom_meta_base_version, $version_cible) {
	$maj = array();

	$maj['create'] = array(      
     array('diplome_create')
  );
  
  include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);

}

/**
 * Fonction charge a la creation: creation de ss repertoire de stockage des pdfs
 *
 * @return void
**/

function diplome_create() {
	   include_spip('inc/getdocument');
	   creer_repertoire_documents('diplome');
}


/**
 * Fonction de désinstallation du plugin Inscription Diplome.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @return void
**/
function diplome_vider_tables($nom_meta_base_version) {

	effacer_meta($nom_meta_base_version);
}

?>